Bug 887993 - RFE: Rewrite the HAAC from JSF to GWT
RFE: Rewrite the HAAC from JSF to GWT
Product: RHQ Project
Classification: Other
Component: Core Server, Core UI (Show other bugs)
All All
unspecified Severity unspecified (vote)
: ---
: RHQ 4.6
Assigned To: Jirka Kremser
Mike Foley
Depends On:
  Show dependency treegraph
Reported: 2012-12-17 14:17 EST by Jirka Kremser
Modified: 2013-09-03 10:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-03 10:44:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jirka Kremser 2012-12-17 14:17:35 EST
Rewrite the all UI components under the Administration -> Topology section. Apart from already rewritten "Remote Agent Install" view.

In particular, there are 12 pages/views:

 * Server list: http://localhost:7080/coregui/#Administration/Topology/Servers
** http://localhost:7080/rhq/ha/listServers-plain.xhtml?nomenu=true

* Individual Server item view:
** http://localhost:7080/rhq/ha/viewServer-plain.xhtml?mode=view&serverId=10001

* Edit Individual Server item:
** http://localhost:7080/rhq/ha/viewServer-plain.xhtml?mode=edit&serverId=10001&conversationId=16

* Agent list: http://localhost:7080/coregui/#Administration/Topology/Agents
** http://localhost:7080/rhq/ha/listAgents-plain.xhtml?nomenu=true

* Individual Agent item view:
** http://localhost:7080/rhq/ha/viewAgent-plain.xhtml?mode=view&serverId=10011&agentId=10001

* Affinity Group list: http://localhost:7080/coregui/#Administration/Topology/AffinityGroups
** http://localhost:7080/rhq/ha/listAffinityGroups-plain.xhtml?nomenu=true

* Individual Affinity Group item view:
** http://localhost:7080/rhq/ha/viewAffinityGroup-plain.xhtml?mode=view&affinityGroupId=10001

* Edit Affinity Group item:
** http://localhost:7080/rhq/ha/viewAffinityGroup-plain.xhtml?mode=edit&affinityGroupId=10001&conversationId=33

* Add Agent to Affinity Group
** http://localhost:7080/rhq/ha/affinityGroupAgents-plain.xhtml?affinityGroupId=10001&mode=view&conversationId=41

* Add Server to Affinity Group
** http://localhost:7080/rhq/ha/affinityGroupServers-plain.xhtml?affinityGroupId=10001&mode=view&conversationId=43

* Partition Events list: http://localhost:7080/coregui/#Administration/Topology/PartitionEvents
** http://localhost:7080/rhq/ha/listPartitionEvents-plain.xhtml?nomenu=true

* View individual partition event
** http://localhost:7080/rhq/ha/viewPartitionEvent-plain.xhtml?eventId=10011

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Jirka Kremser 2013-01-02 09:31:06 EST
implemented in upstream
Comment 2 Heiko W. Rupp 2013-09-03 10:44:07 EDT
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.

Note You need to log in before you can comment on or make changes to this bug.